module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[run]],action_time=0.6,excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Linear]],
				end_relative={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=3,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=true,
				move_time=0.35,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=0,
		},
		[3]={args={},func_name=[[MagcAnimStart]],start_time=0.45,},
		[4]={
			args={action_name=[[attack1]],end_frame=50,excutor=[[atkobj]],start_frame=22,},
			func_name=[[PlayAction]],
			start_time=0.45,
		},
		[5]={
			args={
				alive_time=1.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_313/Prefabs/313_attack1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0.5,
		},
		[6]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_313/Prefabs/313_hi1.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.65,
		},
		[7]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.65,
		},
		[8]={
			args={shake_dis=0.1,shake_rate=55,shake_time=0.1,},
			func_name=[[ShakeScreen]],
			start_time=0.7,
		},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.95,
		},
		[10]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_313/Prefabs/313_hi1.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.95,
		},
		[11]={
			args={shake_dis=0.15,shake_rate=25,shake_time=0.1,},
			func_name=[[ShakeScreen]],
			start_time=1,
		},
		[12]={
			args={action_name=[[idleWar]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=1.4,
		},
		[13]={args={},func_name=[[MagcAnimEnd]],start_time=1.45,},
		[14]={args={},func_name=[[End]],start_time=1.6,},
	},
	group_cmds={},
	magic_anim_end_time=1.45,
	magic_anim_start_time=0.45,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_313/Prefabs/313_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_313/Prefabs/313_hi1.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_313/Prefabs/313_hi1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
